<?php
if ( ! defined( 'CHESHALO_THEME_DIR' ) ) {
	exit( 'No direct script access allowed' );
}
use XTS\Options;

Options::add_field(
	array(
		'id'          => 'white_label',
		'name'        => esc_html__( 'White label', 'cheshalo' ),
		'hint'        => '<video data-src="' . CHESHALO_TOOLTIP_URL . 'dashboard-white-lable.mp4" autoplay loop muted></video>',
		'description' => esc_html__( 'Hide most of the "CheshAlo" and "Themefars" attributions.', 'cheshalo' ),
		'type'        => 'switcher',
		'section'     => 'white_label_section',
		'default'     => false,
		'priority'    => 10,
	)
);

Options::add_field(
	array(
		'id'          => 'white_label_theme_name',
		'name'        => esc_html__( 'Theme name', 'cheshalo' ),
		'description' => esc_html__( 'Replaces all instances of "Cheshalo"', 'cheshalo' ),
		'type'        => 'text_input',
		'section'     => 'white_label_section',
		'default'     => '',
		'priority'    => 30,
	)
);

Options::add_field(
	array(
		'id'          => 'dummy_import',
		'name'        => esc_html__( 'Prebuilt websites page', 'cheshalo' ),
		'description' => esc_html__( 'Show prebuilt websites page in the dashboard.', 'cheshalo' ),
		'group'       => esc_html__( 'Settings', 'cheshalo' ),
		'type'        => 'switcher',
		'section'     => 'white_label_section',
		'default'     => '1',
		'priority'    => 40,
		'class'    => 'xts-col-6',
	)
);

Options::add_field(
	array(
		'id'          => 'white_label_theme_license_tab',
		'name'        => esc_html__( 'Theme license page', 'cheshalo' ),
		'description' => esc_html__( 'Show theme license page in the dashboard.', 'cheshalo' ),
		'group'       => esc_html__( 'Settings', 'cheshalo' ),
		'type'        => 'switcher',
		'section'     => 'white_label_section',
		'default'     => '1',
		'priority'    => 41,
		'class'    => 'xts-col-6',
	)
);

Options::add_field(
	array(
		'id'          => 'white_label_changelog_tab',
		'name'        => esc_html__( 'Changelog page', 'cheshalo' ),
		'description' => esc_html__( 'Show changelog page in the dashboard.', 'cheshalo' ),
		'group'       => esc_html__( 'Settings', 'cheshalo' ),
		'type'        => 'switcher',
		'section'     => 'white_label_section',
		'default'     => '1',
		'priority'    => 42,
		'class'    => 'xts-col-6',
	)
);

Options::add_field(
	array(
		'id'          => 'theme_admin_bar_menu',
		'name'        => esc_html__( 'Theme admin bar menu', 'cheshalo' ),
		'group'       => esc_html__( 'Settings', 'cheshalo' ),
		'description' => esc_html__( 'Show theme menu in the WordPress admin bar.', 'cheshalo' ),
		'type'        => 'switcher',
		'section'     => 'white_label_section',
		'default'     => '1',
		'priority'    => 43,
		'class'       => 'xts-col-6',
	)
);

Options::add_field(
	array(
		'id'          => 'white_label_theme_hints',
		'name'        => esc_html__( 'Theme settings hints', 'cheshalo' ),
		'description' => esc_html__( 'Show hints displayed next to the theme settings option name.', 'cheshalo' ),
		'group'       => esc_html__( 'Settings', 'cheshalo' ),
		'type'        => 'switcher',
		'section'     => 'white_label_section',
		'default'     => '1',
		'priority'    => 44,
	)
);

Options::add_field(
	array(
		'id'          => 'white_label_sidebar_icon_logo',
		'name'        => esc_html__( 'Dashboard sidebar & admin bar logo', 'cheshalo' ),
		'hint'        => '<video data-src="' . CHESHALO_TOOLTIP_URL . 'dashboard-sidebar-admin-bar-logo.mp4" autoplay loop muted></video>',
		'description' => esc_html__( 'Recommended size: 20x20 (px). Icons that will be displayed in Wordpress dashboard admin bar and sidebar.', 'cheshalo' ),
		'group'       => esc_html__( 'Images', 'cheshalo' ),
		'type'        => 'upload',
		'section'     => 'white_label_section',
		'priority'    => 60,
	)
);

Options::add_field(
	array(
		'id'          => 'white_label_dashboard_logo',
		'name'        => esc_html__( 'Dashboard header logo', 'cheshalo' ),
		'hint'        => '<video data-src="' . CHESHALO_TOOLTIP_URL . 'dashboard-white-lable.mp4" autoplay loop muted></video>',
		'description' => esc_html__( 'Recommended size: 170x45 (px). Logo image that will be displayed in dashboard header on theme pages.', 'cheshalo' ),
		'group'       => esc_html__( 'Images', 'cheshalo' ),
		'type'        => 'upload',
		'section'     => 'white_label_section',
		'priority'    => 70,
	)
);

Options::add_field(
	array(
		'id'          => 'white_label_appearance_screenshot',
		'name'        => esc_html__( 'Appearance screenshot', 'cheshalo' ),
		'hint'        => wp_kses( __( '<img data-src="' . CHESHALO_TOOLTIP_URL . 'appearance-screenshot.jpg" alt="">', 'cheshalo' ), true ),
		'description' => esc_html__( 'Recommended size: 1200×900 (px). Theme preview image that will be displayed in Dashboard -> Appearance -> Themes.', 'cheshalo' ),
		'group'       => esc_html__( 'Images', 'cheshalo' ),
		'type'        => 'upload',
		'section'     => 'white_label_section',
		'priority'    => 80,
	)
);


Options::add_field(
	array(
		'id'          => 'white_label_dashboard_title',
		'name'        => esc_html__( 'Welcome page title', 'cheshalo' ),
		'description' => esc_html__( 'Heading displayed in Dashboard -> CheshAlo.', 'cheshalo' ),
		'group'       => esc_html__( 'Content', 'cheshalo' ),
		'type'        => 'text_input',
		'section'     => 'white_label_section',
		'default'     => '',
		'priority'    => 90,
	)
);

Options::add_field(
	array(
		'id'          => 'white_label_dashboard_text',
		'name'        => esc_html__( 'Welcome page text', 'cheshalo' ),
		'description' => esc_html__( 'Text displayed in Dashboard -> CheshAlo.', 'cheshalo' ),
		'group'       => esc_html__( 'Content', 'cheshalo' ),
		'type'        => 'textarea',
		'wysiwyg'     => true,
		'section'     => 'white_label_section',
		'default'     => '',
		'priority'    => 100,
	)
);