<?php
/**
 * Register vc elements maps.
 *
 * @package Cheshalo
 */

if ( ! function_exists( 'cheshalo_vc_register_maps' ) ) {
	function cheshalo_vc_register_maps() {
		if ( ! cheshalo_is_core_installed() ) {
			return;
		}

		$maps = array(
			'cheshalo_3d_view'                   => 'cheshalo_get_vc_map_3d_view',
			'cheshalo_accordion'                 => 'cheshalo_get_vc_map_accordion',
			'cheshalo_accordion_item'            => 'cheshalo_get_vc_map_accordion_item',
			'products_tabs'                      => 'cheshalo_get_vc_map_products_tabs',
			'products_tab'                       => 'cheshalo_get_vc_map_products_tab',
			'cheshalo_ajax_search'               => 'cheshalo_get_vc_map_ajax_search',
			'cheshalo_counter'                   => 'cheshalo_get_vc_map_animated_counter',
			'author_area'                        => 'cheshalo_get_vc_map_author_area',
			'banners_carousel'                   => 'cheshalo_get_vc_map_banners_carousel',
			'cheshalo_blog'                      => 'cheshalo_get_vc_map_blog',
			'cheshalo_brands'                    => 'cheshalo_get_vc_map_brands',
			'cheshalo_button'                    => 'cheshalo_get_cheshalo_button_shortcode_args',
			'cheshalo_compare'                   => 'cheshalo_get_vc_shortcode_compare',
			'cheshalo_countdown_timer'           => 'cheshalo_get_vc_map_countdown_timer',
			'extra_menu'                         => 'cheshalo_get_vc_map_extra_menu',
			'extra_menu_list'                    => 'cheshalo_get_vc_map_extra_menu_list',
			'cheshalo_google_map'                => 'cheshalo_get_vc_map_google_map',
			'html_block'                         => 'cheshalo_get_vc_map_html_block',
			'cheshalo_image'                     => 'cheshalo_get_vc_map_image',
			'cheshalo_image_hotspot'             => 'cheshalo_get_vc_map_image_hotspot',
			'cheshalo_hotspot'                   => 'cheshalo_get_vc_map_hotspot',
			'cheshalo_gallery'                   => 'cheshalo_get_vc_map_gallery',
			'cheshalo_info_box'                  => 'cheshalo_get_cheshalo_info_box_shortcode_args',
			'cheshalo_info_box_carousel'         => 'cheshalo_get_vc_map_info_box_carousel',
			'cheshalo_instagram'                 => 'cheshalo_get_vc_map_instagram',
			'cheshalo_list'                      => 'cheshalo_get_vc_map_list',
			'cheshalo_mailchimp'                 => 'cheshalo_get_vc_map_mailchimp',
			'cheshalo_mega_menu'                 => 'cheshalo_get_vc_map_mega_menu',
			'cheshalo_menu_price'                => 'cheshalo_get_vc_map_menu_price',
			'cheshalo_off_canvas_btn'            => 'cheshalo_get_vc_map_off_canvas_btn',
			'cheshalo_open_street_map'           => 'cheshalo_get_vc_map_open_street_map',
			'cheshalo_popup'                     => 'cheshalo_get_vc_map_popup',
			'cheshalo_portfolio'                 => 'cheshalo_get_vc_map_portfolio',
			'pricing_tables'                     => 'cheshalo_get_vc_map_pricing_tables',
			'pricing_plan'                       => 'cheshalo_get_vc_map_pricing_plan',
			'cheshalo_categories'                => 'cheshalo_get_vc_shortcode_categories',
			'cheshalo_product_filters'           => 'cheshalo_get_vc_map_product_filters',
			'cheshalo_products'                  => 'cheshalo_get_products_shortcode_map_params',
			'cheshalo_filter_categories'         => 'cheshalo_get_vc_map_filter_categories',
			'cheshalo_filters_attribute'         => 'cheshalo_get_vc_map_filters_attribute',
			'cheshalo_stock_status'              => 'cheshalo_get_vc_map_stock_status',
			'cheshalo_filters_price_slider'      => 'cheshalo_get_vc_map_filters_price_slider',
			'cheshalo_filters_orderby'           => 'cheshalo_get_vc_map_filters_orderby',
			'promo_banner'                       => 'cheshalo_get_vc_map_promo_banner',
			'cheshalo_responsive_text_block'     => 'cheshalo_get_vc_map_responsive_text_block',
			'cheshalo_row_divider'               => 'cheshalo_get_vc_map_row_divider',
			'cheshalo_sidebar'                   => 'cheshalo_get_vc_map_sidebar',
			'cheshalo_size_guide'                => 'cheshalo_get_vc_map_size_guide',
			'cheshalo_slider'                    => 'cheshalo_get_vc_map_slider',
			'social_buttons'                     => 'cheshalo_get_social_buttons_shortcode_args',
			'cheshalo_table'                     => 'cheshalo_get_vc_map_table',
			'cheshalo_table_row'                 => 'cheshalo_get_vc_map_table_row',
			'cheshalo_tabs'                      => 'cheshalo_get_vc_map_tabs',
			'cheshalo_tab'                       => 'cheshalo_get_vc_map_tab',
			'team_member'                        => 'cheshalo_get_vc_map_team_member',
			'testimonials'                       => 'cheshalo_get_vc_map_testimonials',
			'testimonial'                        => 'cheshalo_get_vc_map_testimonial',
			'cheshalo_text_block'                => 'cheshalo_get_vc_map_text_block',
			'cheshalo_timeline'                  => 'cheshalo_get_vc_map_timeline',
			'cheshalo_timeline_item'             => 'cheshalo_get_vc_map_timeline_item',
			'cheshalo_timeline_breakpoint'       => 'cheshalo_get_vc_map_timeline_breakpoint',
			'cheshalo_title'                     => 'cheshalo_get_vc_map_title',
			'cheshalo_twitter'                   => 'cheshalo_get_vc_map_twitter',
			'cheshalo_shortcode_products_widget' => 'cheshalo_get_vc_map_shortcode_products_widget',
			'cheshalo_wishlist'                  => 'cheshalo_get_vc_map_wishlist',
		);

		if ( ! cheshalo_woocommerce_installed() ) {
			$woo_maps = array(
				'products_tabs'                      => 'cheshalo_get_vc_map_products_tabs',
				'products_tab'                       => 'cheshalo_get_vc_map_products_tab',
				'cheshalo_brands'                    => 'cheshalo_get_vc_map_brands',
				'cheshalo_categories'                => 'cheshalo_get_vc_shortcode_categories',
				'cheshalo_product_filters'           => 'cheshalo_get_vc_map_product_filters',
				'cheshalo_products'                  => 'cheshalo_get_products_shortcode_map_params',
				'cheshalo_filter_categories'         => 'cheshalo_get_vc_map_filter_categories',
				'cheshalo_filters_attribute'         => 'cheshalo_get_vc_map_filters_attribute',
				'cheshalo_stock_status'              => 'cheshalo_get_vc_map_stock_status',
				'cheshalo_filters_price_slider'      => 'cheshalo_get_vc_map_filters_price_slider',
				'cheshalo_filters_orderby'           => 'cheshalo_get_vc_map_filters_orderby',
				'cheshalo_shortcode_products_widget' => 'cheshalo_get_vc_map_shortcode_products_widget',
			);

			$maps = array_diff( $maps, $woo_maps );
		}

		if ( ! cheshalo_get_opt( 'portfolio', '1' ) ) {
			$maps = array_diff( $maps, array( 'cheshalo_portfolio' => 'cheshalo_get_vc_map_portfolio' ) );
		}

		foreach ( $maps as $key => $callback ) {
			cheshalo_vc_map( $key, $callback );
		}
	}

	add_action( 'vc_mapper_init_after', 'cheshalo_vc_register_maps' );
}
